Bug 179371 - gnome-mount should error on invalid command line
gnome-mount should error on invalid command line
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnome-mount (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: John (J5) Palmieri
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-30 12:42 EST by Bill Nottingham
Modified: 2014-03-16 22:57 EDT (History)
3 users (show)

See Also:
Fixed In Version: 0.4-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-24 19:28:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2006-01-30 12:42:39 EST
Version-Release number of selected component (if applicable):

gnome-mount-0.4-0.cvs20060117


How reproducible:

Every time.

Steps to Reproduce:
1. Forget the command line syntax
2. Run 'gnome-umount /dev/hdc'
  
Actual results:

Returns '1', but gives no visible feedback that it failed.

Expected results:

Prints the usage, or something similar (that you need gnome-umount --device
/dev/hdc)
Comment 1 Michal Jaegermann 2006-02-23 19:46:41 EST
It is even worse.  An output from '--help' suggests that the following is valid:

    gnome-umount -e -d /dev/fd0

but this fails silently although 'gnome-mount -e -d /dev/fd0' does work, at least
partially.  Adding superfluous option should not have such effect.
Comment 2 David Zeuthen 2006-02-24 19:28:59 EST
Should be fixed in 0.4-2 otherwise please reopen.

Note You need to log in before you can comment on or make changes to this bug.